unit abcdfsbp;

(*------------------------------------------------------------------------------

Advanced Business Components
ABC for Delphi
Version 6

Copyright  1995, 2001 Objective Software Technology Pty Limited ACN 068 640 353
Functionality derived from Delphi VCL Source Code
is Copyright  1995, 2001 Borland Software Corporation

------------------------------------------------------------------------------*)

{$I abcdefs.inc}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  abcbtns;

type
  TabcdfShapeButtonPreview = class(TForm)
    abcShapeButton1: TabcShapeButton;
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

procedure TabcdfShapeButtonPreview.FormActivate(Sender: TObject);
var
  NewLeft, NewTop, NewWidth, NewHeight: Integer;
begin
  {Size form to fit button size}
  NewWidth := abcShapeButton1.Width + abcShapeButton1.Left + 10;
  NewHeight := abcShapeButton1.Height + abcShapeButton1.Top + 30;
  NewLeft := (Screen.Width - NewWidth) div 2;
  NewTop := (Screen.Height - NewHeight) div 2;
  SetBounds(NewLeft, NewTop, NewWidth, NewHeight);
end;

end.
