unit abcdfspl;

(*------------------------------------------------------------------------------

Advanced Business Components
ABC for Delphi
Version 6

Copyright  1995, 2001 Objective Software Technology Pty Limited ACN 068 640 353
Functionality derived from Delphi VCL Source Code
is Copyright  1995, 2001 Borland Software Corporation

------------------------------------------------------------------------------*)

{$I abcdefs.inc}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  abcsplit, ExtCtrls, StdCtrls, abcspin;

type
  TabcdfSplitPanes = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    speFrom: TabcSpinEdit;
    speTo: TabcSpinEdit;
    btnOk: TButton;
    btnCancel: TButton;
    Bevel1: TBevel;
    Label3: TLabel;
    procedure speChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function abcExecPaneExchangeDialog(ASplitter: TabcCustomSplit): Boolean;

implementation

{$R *.DFM}

function abcExecPaneExchangeDialog(ASplitter: TabcCustomSplit): Boolean;
begin
  Result := False;
  if ASplitter.PaneCount = 0 then Exit;
  with TabcdfSplitPanes.Create(nil) do
  try
    speFrom.MaxValue := ASplitter.PaneCount - 1;
    speTo.MaxValue := speFrom.MaxValue;
    speFrom.Value := 0;
    speTo.Value := speTo.MaxValue;
    Result := (ShowModal = mrOk);
    if Result then
      ASplitter.Exchange(speFrom.Value, speTo.Value);
  finally
    Free;
  end;
end;

procedure TabcdfSplitPanes.speChange(Sender: TObject);
begin
  btnOk.Enabled := speFrom.Value <> speTo.Value;
end;

end.
