unit abcdftip;

(*------------------------------------------------------------------------------

Advanced Business Components
ABC for Delphi
Version 6

Copyright  1995, 2001 Objective Software Technology Pty Limited ACN 068 640 353
Functionality derived from Delphi VCL Source Code
is Copyright  1995, 2001 Borland Software Corporation

------------------------------------------------------------------------------*)

{$I abcdefs.inc}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TabcdfWelcomeTipsEditDialog = class(TForm)
    chkShowOnStartup: TCheckBox;
    Label1: TLabel;
    edtNextTip: TEdit;
    Label2: TLabel;
    memTipText: TMemo;
    btnOk: TButton;
    btnCancel: TButton;
    procedure edtNextTipKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  abcWelcomeTipsEditDialog: TabcdfWelcomeTipsEditDialog;

implementation

{$R *.DFM}

procedure TabcdfWelcomeTipsEditDialog.edtNextTipKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if not (Key in [Ord('0')..Ord('9')]) then
  begin
    Key := 0;
    MessageBeep(0);
  end;
end;

end.
