unit abcfrcdt;

(*------------------------------------------------------------------------------

Advanced Business Components
ABC for Delphi
Version 6

Copyright  1995, 2001 Objective Software Technology Pty Limited ACN 068 640 353
Functionality derived from Delphi VCL Source Code
is Copyright  1995, 2001 Borland Software Corporation

------------------------------------------------------------------------------*)

{$I abcdefs.inc}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, abcforms, abcfact;

type
  TabcsfPasteDateTimeDialog = class(TabcForm)
    Label1: TLabel;
    lstFormats: TListBox;
    btnOk: TButton;
    btnCancel: TButton;
    procedure FormCreate(Sender: TObject);
    procedure lstFormatsDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  abcsfPasteDateTimeDialog: TabcsfPasteDateTimeDialog;

implementation

{$R *.DFM}

procedure TabcsfPasteDateTimeDialog.FormCreate(Sender: TObject);
var
  dt: TDateTime;
begin
  {fill date time formats}
  dt := Now;
  with lstFormats.Items do
  begin
    Add(FormatDateTime('ddddd', dt));
    Add(FormatDateTime('dddddd', dt));
    Add(FormatDateTime('dd mmm yyyy', dt));
    Add(FormatDateTime('yyyy-mm-dd', dt));
    Add(FormatDateTime('c', dt));
    Add(FormatDateTime('t', dt));
    Add(FormatDateTime('tt', dt));
  end;
  lstFormats.ItemIndex := 0;
end;

procedure TabcsfPasteDateTimeDialog.lstFormatsDblClick(Sender: TObject);
begin
  btnOk.Click;
end;

initialization
  abcFormFactory.RegisterBaseFormClass(TabcsfPasteDateTimeDialog);

end.
