unit abcreg_a;

(*------------------------------------------------------------------------------

Advanced Business Components
ABC for Delphi
Version 6

Copyright  1995, 2001 Objective Software Technology Pty Limited ACN 068 640 353
Functionality derived from Delphi VCL Source Code
is Copyright  1995, 2001 Borland Software Corporation

ABC Toolbar and Menu Classes - Component Palette Registration

------------------------------------------------------------------------------*)

{$I abcdefs.inc}

interface

uses Classes, {$IFDEF DELPHI6} DesignIntf {$ELSE} DsgnIntf {$ENDIF};

procedure Register;

{$R abcr32a.res}

implementation

uses abcprop, abctoolb, abctlbr, abctlwn, abctctls, abctme, abcmenu
     {$IFDEF DELPHI5}, abcpropc, abcpilst, ImgList{$ENDIF}
     ;

procedure Register;
begin
  RegisterComponents ('ABC Toolbars && Menus',
    [TabcDock, TabcToolbar, TabcToolWindow, TabcToolbarButton, TabcToolbarSep,
     TabcToolbarEdit, TabcToolbarMaskEdit,
     TabcMainMenu, TabcMenuToolbar, TabcPopupMenu, TabcSystemMenu, TabcMenuImages
    ]);

{$IFDEF DELPHI5}

  RegisterPropertyEditor(TypeInfo(TImageIndex), TabcToolbarButton, 'ImageIndex', TabcImageIndexProperty);

  abcRegisterPropertiesInCategory(TabcDock,
    ['AllowDrag', 'Background', 'BackgroundOnToolbars', 'BackgroundTransparent', 'BoundLines', 'FixAlign', 'LimitToOneRow', 'Position']);

  abcRegisterPropertiesInCategory(TabcToolbar,
    ['ActivateParent', 'CloseButton', 'DefaultDock', 'DockableTo', 'DockedTo', 'DockMode', 'DockPos', 'DockRow', 'DragHandle', 'FloatingMode', 'FullSize', 'HideWhenInactive']);

  abcRegisterPropertiesInCategory(TabcToolWindow,
    ['ActivateParent', 'ClientAreaHeight', 'ClientAreaWidth', 'CloseButton', 'DefaultDock', 'DockableTo', 'DockedTo', 'DockMode', 'DockPos', 'DockRow', 'DragHandle', 'FloatingMode', 'FullSize', 'HideWhenInactive', 'MinClientHeight', 'MinClientWidth', 'Resizable']);

  abcRegisterPropertiesInCategory(TabcToolbarButton,
    ['AllowAllUp', 'DisplayMode', 'DropdownAlways', 'DropdownArrow', 'DropdownCombo', 'DropdownMenu', 'Flat', 'Glyph', 'GlyphMask', 'Layout', 'Margin', 'NoBorder', 'NumGlyphs', 'OldDisabledStyle', 'Opaque', 'RepeatDelay', 'Repeating', 'RepeatInterval', 'ShowBorderWhenInactive', 'Spacing']);

  abcRegisterPropertiesInCategory(TabcToolbarSep,
    ['Blank', 'SizeHorz', 'SizeVert']);

  abcRegisterPropertiesInCategory(TabcMenuToolbar,
    ['ActivateParent', 'CloseButton', 'DefaultDock', 'DockableTo', 'DockedTo', 'DockMode', 'DockPos', 'DockRow', 'DragHandle', 'FloatingMode', 'FullSize', 'GrayWhenInactive', 'HideWhenInactive', 'MainMenu', 'OpaqueButtons', 'Options', 'StatusBar', 'StatusBarIndex', 'SystemFont']);

  abcRegisterPropertiesInCategory(TabcPopupMenu,
    ['Options', 'StatusBar', 'StatusBarIndex', 'SystemFont']);

  abcRegisterPropertiesInCategory(TabcSystemMenu,
    ['Options', 'StatusBar', 'StatusBarIndex', 'SystemFont', 'VisibleItems']);

  abcRegisterPropertiesInCategory(TabcMenuImages,
    ['Items']);

{$ENDIF}

end;

end.
