unit abcreg_d;

(*------------------------------------------------------------------------------

Advanced Business Components
ABC for Delphi
Version 6

Copyright  1995, 2001 Objective Software Technology Pty Limited ACN 068 640 353
Functionality derived from Delphi VCL Source Code
is Copyright  1995, 2001 Borland Software Corporation

ABC Data Access - Component Palette Registration

------------------------------------------------------------------------------*)

{$I abcdefs.inc}

interface

uses Classes, {$IFDEF DELPHI6} DesignIntf {$ELSE} DsgnIntf {$ENDIF};

procedure Register;

{$R abcr32d.res}

implementation

uses  SysUtils, abcprop, abcexcep, abcdsexc, abcdbhnt
     {$IFDEF DELPHI5}, abcpropc{$ENDIF}
     ;

procedure Register;
begin
  RegisterComponents('ABC Data Access', [
    TabcAppException, TabcDSAppException, TabcDBHintManager, TabcDBHelpManager
    ]);

  RegisterPropertyEditor(TypeInfo(TFileName), TabcExcepLog, 'FileName', TabcExcepLogFileNameProperty);

{$IFDEF DELPHI5}

  abcRegisterPropertiesInCategory(TabcAppException,
    ['ConfirmTerminate', 'ExcepLog', 'ExcepMsg', 'Terminate']);

  abcRegisterPropertiesInCategory(TabcDSAppException,
    ['ConfirmTerminate', 'ExcepLog', 'ExcepMsg', 'Terminate']);

  abcRegisterPropertiesInCategory(TabcDBHintManager,
    ['HintColor', 'HintHidePause', 'HintPause', 'HintShortPause', 'HintTable', 'KeyFirstParentForm']);

  abcRegisterPropertiesInCategory(TabcDBHelpManager,
    ['HelpTable', 'KeyFirstParentForm', 'Template']);

{$ENDIF}

end;

end.
