unit abcreg_m;

(*------------------------------------------------------------------------------

Advanced Business Components
ABC for Delphi
Version 6

Copyright  1995, 2001 Objective Software Technology Pty Limited ACN 068 640 353
Functionality derived from Delphi VCL Source Code
is Copyright  1995, 2001 Borland Software Corporation

ABC DB Attached Label - Component Palette Registration

------------------------------------------------------------------------------*)

{$I abcdefs.inc}

interface

uses Classes, {$IFDEF DELPHI6} DesignIntf {$ELSE} DsgnIntf {$ENDIF};

procedure Register;

{$R abcr32m.res}

implementation

uses abcdbatl, abcprop
     {$IFDEF DELPHI5}, abcpropc{$ENDIF}
     ;

procedure Register;
begin
  RegisterComponents('ABC DB Attached Label', [
    TabcLDBText, TabcLDBEdit, TabcLDBAutoEdit, TabcLDBMemo, TabcLDBImage, TabcLDBListBox,
    TabcLDBComboBox, TabcLDBCheckBox, TabcLDBRadioGroup, TabcLDBLookupList, TabcLDBLookupCombo
    , TabcLDBLookupListBox, TabcLDBLookupComboBox
    ]);

{$IFDEF DELPHI5}
  abcRegisterPropertiesInCategory(TabcDBSubLabel,
    ['CaptionAuto', 'Enabled', 'FocusControl', 'Locked', 'Visible']);

{$ENDIF}

end;

end.
