(*------------------------------------------------------------------------------

Advanced Business Components
ABC for Delphi
Version 6

Copyright  1995, 2001 Objective Software Technology Pty Limited ACN 068 640 353
Functionality derived from Delphi VCL Source Code
is Copyright  1995, 2001 Borland Software Corporation

------------------------------------------------------------------------------*)

{Remove the period before the $ sign to enable InfoPower support
 - allows TNavPanel auto field detection in InfoPower grids}

{.$DEFINE INFOPOWER}

{ Delphi 4 is the baseline for this version of ABC }

{$IFDEF VER125}     { C++ Builder 4 }
  {$DEFINE DELPHI45}
  {$ObjExportAll On}
{$ENDIF}

{$IFDEF VER130}     { Delphi 5 and C++ Builder 5 }
{$IFDEF BCBNOTDELPHI}
  {$ObjExportAll On}
{$ENDIF}
  {$DEFINE DELPHI45}
  {$DEFINE DELPHI5}
{$ENDIF}

{$IFDEF VER140}     { Delphi 6 and C++ Builder 6 }
{$IFDEF BCBNOTDELPHI}
  {$ObjExportAll On}
{$ENDIF}
  {$DEFINE DELPHI45}
  {$DEFINE DELPHI5}
  {$DEFINE DELPHI6}
  {$WARN SYMBOL_PLATFORM OFF}  { Currently only supports Windows }
  {$WARN UNIT_PLATFORM OFF}    { Currently only supports Windows }
{$ENDIF}

{$IFDEF VER150}     { Delphi 7 }
{$IFDEF BCBNOTDELPHI}
  {$ObjExportAll On}
{$ENDIF}
  {$DEFINE DELPHI45}
  {$DEFINE DELPHI5}
  {$DEFINE DELPHI6}
  {$DEFINE DELPHI7}
  {$WARN SYMBOL_PLATFORM OFF}  { Currently only supports Windows }
  {$WARN UNIT_PLATFORM OFF}    { Currently only supports Windows }
{$ENDIF}