unit abcdfshp;

(*------------------------------------------------------------------------------

Advanced Business Components
ABC for Delphi
Version 6

Copyright  1995, 2001 Objective Software Technology Pty Limited ACN 068 640 353
Functionality derived from Delphi VCL Source Code
is Copyright  1995, 2001 Borland Software Corporation

------------------------------------------------------------------------------*)

{$I abcdefs.inc}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  abcshapf, ExtCtrls;

type
  TabcdfShapePreview = class(TForm)
    Timer1: TTimer;
    abcShapeForm1: TabcShapeForm;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

procedure TabcdfShapePreview.FormCreate(Sender: TObject);
begin
  ShowMessage(
    'Use Alt+F4 to close the preview form,' + #13#10 +
    'or wait for 60 seconds.');
end;

procedure TabcdfShapePreview.Timer1Timer(Sender: TObject);
begin
  if MessageDlg(
    'Close preview form now?',
    mtConfirmation,
    [mbYes, mbNo],
    0) = mrYes then
    ModalResult := mrOk;
end;

end.
