unit abcpdbgr;

(*------------------------------------------------------------------------------

Advanced Business Components
ABC for Delphi
Version 6

Copyright  1995, 2001 Objective Software Technology Pty Limited ACN 068 640 353
Functionality derived from Delphi VCL Source Code
is Copyright  1995, 2001 Borland Software Corporation

------------------------------------------------------------------------------*)

{$I abcdefs.inc}

interface

implementation

uses Classes, Forms, abcdbgrf,
{$IFDEF DELPHI6}
     DesignIntf, DesignEditors
{$ELSE}
     DsgnIntf
{$ENDIF}
     ;

{$IFNDEF DELPHI6}

type
  TabcDBGridCallback = class(TComponent)
  private
    procedure OnDesignMouseUp(Sender: TObject);
  end;
var
  gGridCallback: TabcDBGridCallback;

procedure TabcDBGridCallback.OnDesignMouseUp(Sender: TObject);
var
  Grid: TabcCustomDBFixedGrid;
  ParentForm: TCustomForm;
begin
  if Sender is TabcCustomDBFixedGrid then
  begin
    Grid := TabcCustomDBFixedGrid(Sender);
    ParentForm := GetParentForm(Grid);
// Delphi 6 - this is no longer supported by Form.Designer interface IDesignerHook
    if (ParentForm <> nil) and (ParentForm.Designer <> nil) then
      IFormDesigner(ParentForm.Designer).SelectComponent(Grid.Owner);
  end;
end;

initialization
  gGridCallback := TabcDBGridCallback.Create(nil);
  gABCGridMouseUpDesignEvent := gGridCallback.OnDesignMouseUp;

finalization
  gABCGridMouseUpDesignEvent := nil;
  gGridCallback.Free;
  gGridCallback := nil;

{$ENDIF}
  
end.
