unit abcreg_l;

(*------------------------------------------------------------------------------

Advanced Business Components
ABC for Delphi
Version 6

Copyright  1995, 2001 Objective Software Technology Pty Limited ACN 068 640 353
Functionality derived from Delphi VCL Source Code
is Copyright  1995, 2001 Borland Software Corporation

ABC Attached Label - Component Palette Registration

------------------------------------------------------------------------------*)

{$I abcdefs.inc}

interface

uses Classes, {$IFDEF DELPHI6} DesignIntf {$ELSE} DsgnIntf {$ENDIF};

procedure Register;

{$R abcr32l.res}

implementation

uses abcatlab, abcprop
     {$IFDEF DELPHI5}, abcpropc{$ENDIF}
     ;

procedure Register;
begin
  RegisterComponents('ABC Attached Label', [
    TabcLEdit, TabcLMaskEdit, TabcLSpinEdit, TabcLMemo, TabcLListBox, TabcLComboBox, TabcLImage,
    TabcLPanel, TabcLScrollBox, TabcLTreeView
    ]);

{$IFDEF DELPHI5}
  abcRegisterPropertiesInCategory(TabcSubLabel,
    ['Enabled', 'FocusControl', 'Locked', 'Visible']);
{$ENDIF}

end;

end.
